/*
GLDM - Graphical Liberty Display Manager

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef LUNATIC_USERBOX_H_INCLUDED
#define LUNATIC_USERBOX_H_INCLUDED

#include <string>
class LunaticInterface;
struct SDL_Surface;

/** \brief GUI element on list of users
  * This class represents a single GUI element on the list of users. It
  * also incorporates dimming of users that are not supposed to be
  * highlighted (as decided by the list itself), and whether or not a
  * certain coordinate is inside the list or not.
  */

class LunaticUserbox
{
    public:
    LunaticUserbox() {} // just a dummy
    LunaticUserbox(std::string username, std::string displayname, std::string rsrcpath, int x, int y);

    void paintSelf(LunaticInterface* parent, SDL_Surface *bg, float dimmed, std::string instruction, std::string asterisks);
    void updateSelf(float k);
    bool pointInside(LunaticInterface *parent, int x, int y);

    private:
    std::string mDisplayName;
    SDL_Surface *mImgUser;
    float mCurrentDim,mWantDim;
    int mX, mY;
};


#endif
