/*
GLDM - Graphical Liberty Display Manager

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef TERMINALINTERFACE_H_INCLUDED
#define TERMINALINTERFACE_H_INCLUDED

#include <sys/select.h>
#include "../baseinterface.h"

/** This class should be opening a new xterm and offering login prompt
  * within it.
  *
  * \todo This is completely unfinished functionality. I've messed with
  *       pipe()s but apparently pty should be obtained and not created.
  *       Although this seemed like a neat hack and something to be
  *       a quick (yet neat) job, I won't go in all the detail at the
  *       moment. This is on hold.
  */

class TerminalInterface : public BaseInterface
{
    public:
    TerminalInterface();
    ~TerminalInterface();

    void showSelf();
    void hideSelf();
    void paintSelf();
    void updateSelf(double k);
    bool isFinished();
    bool isCanceled();


    const std::string& getInterfaceName() const { static const std::string name = "TerminalInterface"; return name; }

    const std::string& getLogin() const;
    const std::string& getPassword() const;

    private:
    int mForkedPid;
    int mIODescriptors[2];
    bool mEnteringLogin, mEnteringPassword;
    std::string mLogin, mPassword;
};
#endif
